wait:
  apiServer: true
  timeout: 900

cluster:
  name: "cluster-demo"
  additionalClusterResourceSet:
    - kind: ConfigMap
      name: cni-calico

kubernetes:
  version: v1.23.5

machines:
  controlPlane:
    replicas: 3
    cpuCount: 2
    template: template-k8s-1-23-5-alma9-x86-64
    diskSizeGiB: 40
    memorySizeMiB: 8192
    nodeDrainTimeout: 20m
    machineHealthCheck:
      enabled: true

  workers:
    worker-md-0:
      replicas: 3
      cpuCount: 2
      template: template-k8s-1-23-5-alma9-x86-64
      diskSizeGiB: 40
      memorySizeMiB: 8192
      nodeDrainTimeout: 20m
      machineHealthCheck:
        enabled: true
        maxUnhealthy: 40%

cni:
  calico:
    enabled: true
    config: |
      calicoNetwork:
        nodeAddressAutodetectionV4:
          canReach: "10.209.16.1"
      imagePullSecrets: []
      kubernetesProvider: ""